Index: protocols/purple/ft-direct.c
===================================================================
--- protocols/purple/ft-direct.c	(revision f66425d4030abddd9021789b21fbce109de8743e)
+++ protocols/purple/ft-direct.c	(revision 98d46d52222e7c4faf352614f354ef80dc414fba)
@@ -193,13 +193,13 @@
 PurpleXferUiOps bee_xfer_uiops =
 {
-	prplcb_xfer_new,
-	prplcb_xfer_dbg,
-	prplcb_xfer_dbg,
-	prplcb_xfer_progress,
-	prplcb_xfer_dbg,
-	prplcb_xfer_dbg,
-	prplcb_xfer_write,
-	prplcb_xfer_read,
-	prplcb_xfer_dbg,
+	prplcb_xfer_new,           /* new_xfer */
+	prplcb_xfer_dbg,           /* destroy */
+	prplcb_xfer_dbg,           /* add_xfer */
+	prplcb_xfer_progress,      /* update_progress */
+	prplcb_xfer_dbg,           /* cancel_local */
+	prplcb_xfer_dbg,           /* cancel_remote */
+	prplcb_xfer_write,         /* ui_write */
+	prplcb_xfer_read,          /* ui_read */
+	prplcb_xfer_dbg,           /* data_not_sent */
 };
 
Index: protocols/purple/ft.c
===================================================================
--- protocols/purple/ft.c	(revision f66425d4030abddd9021789b21fbce109de8743e)
+++ protocols/purple/ft.c	(revision 98d46d52222e7c4faf352614f354ef80dc414fba)
@@ -332,12 +332,12 @@
 PurpleXferUiOps bee_xfer_uiops =
 {
-	prplcb_xfer_new,
-	prplcb_xfer_destroy,
-	NULL, /* prplcb_xfer_add, */
-	prplcb_xfer_progress,
-	NULL,
-	prplcb_xfer_cancel_remote,
-	NULL,
-	NULL,
-	NULL,
+	prplcb_xfer_new,           /* new_xfer */
+	prplcb_xfer_destroy,       /* destroy */
+	NULL,                      /* add_xfer */
+	prplcb_xfer_progress,      /* update_progress */
+	NULL,                      /* cancel_local */
+	prplcb_xfer_cancel_remote, /* cancel_remote */
+	NULL,                      /* ui_write */
+	NULL,                      /* ui_read */
+	NULL,                      /* data_not_sent */
 };
Index: protocols/purple/purple.c
===================================================================
--- protocols/purple/purple.c	(revision f66425d4030abddd9021789b21fbce109de8743e)
+++ protocols/purple/purple.c	(revision 98d46d52222e7c4faf352614f354ef80dc414fba)
@@ -751,9 +751,9 @@
 static PurpleCoreUiOps bee_core_uiops =
 {
-	NULL,
-	NULL,
-	purple_ui_init,
-	NULL,
-	prplcb_ui_info,
+	NULL,                      /* ui_prefs_init */
+	NULL,                      /* debug_ui_init */
+	purple_ui_init,            /* ui_init */
+	NULL,                      /* quit */
+	prplcb_ui_info,            /* get_ui_info */
 };
 
@@ -816,12 +816,12 @@
 static PurpleConnectionUiOps bee_conn_uiops =
 {
-	prplcb_conn_progress,
-	prplcb_conn_connected,
-	prplcb_conn_disconnected,
-	prplcb_conn_notice,
-	NULL,
-	NULL,
-	NULL,
-	prplcb_conn_report_disconnect_reason,
+	prplcb_conn_progress,                    /* connect_progress */
+	prplcb_conn_connected,                   /* connected */
+	prplcb_conn_disconnected,                /* disconnected */
+	prplcb_conn_notice,                      /* notice */
+	NULL,                                    /* report_disconnect */
+	NULL,                                    /* network_connected */
+	NULL,                                    /* network_disconnected */
+	prplcb_conn_report_disconnect_reason,    /* report_disconnect_reason */
 };
 
@@ -898,9 +898,9 @@
 static PurpleBlistUiOps bee_blist_uiops =
 {
-	NULL,
-	prplcb_blist_new,
-	NULL,
-	prplcb_blist_update,
-	prplcb_blist_remove,
+	NULL,                      /* new_list */
+	prplcb_blist_new,          /* new_node */
+	NULL,                      /* show */
+	prplcb_blist_update,       /* update */
+	prplcb_blist_remove,       /* remove */
 };
 
@@ -1199,11 +1199,11 @@
 static PurpleRequestUiOps bee_request_uiops =
 {
-	prplcb_request_input,
-	NULL,
-	prplcb_request_action,
-	NULL,
-	NULL,
-	prplcb_close_request,
-	NULL,
+	prplcb_request_input,      /* request_input */
+	NULL,                      /* request_choice */
+	prplcb_request_action,     /* request_action */
+	NULL,                      /* request_fields */
+	NULL,                      /* request_file */
+	prplcb_close_request,      /* close_request */
+	NULL,                      /* request_folder */
 };
 
@@ -1246,8 +1246,8 @@
 static PurplePrivacyUiOps bee_privacy_uiops =
 {
-	prplcb_privacy_permit_added,
-	prplcb_privacy_permit_removed,
-	prplcb_privacy_deny_added,
-	prplcb_privacy_deny_removed,
+	prplcb_privacy_permit_added,       /* permit_added */
+	prplcb_privacy_permit_removed,     /* permit_removed */
+	prplcb_privacy_deny_added,         /* deny_added */
+	prplcb_privacy_deny_removed,       /* deny_removed */
 };
 
@@ -1259,5 +1259,5 @@
 static PurpleDebugUiOps bee_debug_uiops =
 {
-	prplcb_debug_print,
+	prplcb_debug_print,        /* print */
 };
 
@@ -1280,8 +1280,8 @@
 static PurpleEventLoopUiOps glib_eventloops =
 {
-	prplcb_ev_timeout_add,
-	prplcb_ev_remove,
-	prplcb_ev_input_add,
-	prplcb_ev_remove,
+	prplcb_ev_timeout_add,     /* timeout_add */
+	prplcb_ev_remove,          /* timeout_remove */
+	prplcb_ev_input_add,       /* input_add */
+	prplcb_ev_remove,          /* input_remove */
 };
 
@@ -1367,11 +1367,11 @@
 static PurpleNotifyUiOps bee_notify_uiops =
 {
-	prplcb_notify_message,
-	prplcb_notify_email,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	prplcb_notify_userinfo,
+	prplcb_notify_message,     /* notify_message */
+	prplcb_notify_email,       /* notify_email */
+	NULL,                      /* notify_emails */
+	NULL,                      /* notify_formatted */
+	NULL,                      /* notify_searchresults */
+	NULL,                      /* notify_searchresults_new_rows */
+	prplcb_notify_userinfo,    /* notify_userinfo */
 };
 
@@ -1400,9 +1400,9 @@
 static PurpleAccountUiOps bee_account_uiops =
 {
-	NULL,
-	NULL,
-	NULL,
-	prplcb_account_request_authorize,
-	NULL,
+	NULL,                              /* notify_added */
+	NULL,                              /* status_changed */
+	NULL,                              /* request_add */
+	prplcb_account_request_authorize,  /* request_authorize */
+	NULL,                              /* close_account_request */
 };
 
